/**
 * Copyright (c) 2000-2012 Liferay, Inc. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 */

package it.unisef.managesales.model.impl;

import com.liferay.portal.kernel.exception.SystemException;

import it.unisef.managesales.model.Firm;
import it.unisef.managesales.service.FirmLocalServiceUtil;

/**
 * The extended model base implementation for the Firm service. Represents a row in the &quot;MS_Firm&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * This class exists only as a container for the default extended model level methods generated by ServiceBuilder. Helper methods and all application logic should be put in {@link FirmImpl}.
 * </p>
 *
 * @author Giulio Piemontese
 * @see FirmImpl
 * @see it.unisef.managesales.model.Firm
 * @generated
 */
public abstract class FirmBaseImpl extends FirmModelImpl implements Firm {
	/*
	 * NOTE FOR DEVELOPERS:
	 *
	 * Never modify or reference this class directly. All methods that expect a firm model instance should use the {@link Firm} interface instead.
	 */
	public void persist() throws SystemException {
		if (this.isNew()) {
			FirmLocalServiceUtil.addFirm(this);
		}
		else {
			FirmLocalServiceUtil.updateFirm(this);
		}
	}
}